<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE topic PUBLIC "-//OASIS//DTD DITA Topic//EN" "topic.dtd">
<topic id="ch_how_to_control_or_disable_hyphenation_for_a_specific_word">
	<title>How to Disable Hyphenation for a Word</title>
	<body>
		<p id="p_blt_cgk_54b">To disable hyphenation for a specific word, there are several possible approaches:</p>
		<ul id="ol_ywp_3nx_mjb">
      <li id="li_clt_cgk_54b">If the word is a compound (like "T-shirt") and you want to keep it on the same line, you
        have two options:<p id="p_dlt_cgk_54b">
          <dl id="dl_elt_cgk_54b">
            <dlentry id="dlentry_flt_cgk_54b">
              <dt>Manual Approach</dt>
              <dd>Wrap the word in an inline element with the <xmlatt>outputclass</xmlatt> attribute
                set. In the CSS, change its style to <codeph>white-space:nowrap;</codeph>. For
                example:<codeblock  id="codeblock_glt_cgk_54b">.. &lt;ph outputclass="no-hyphenation">T-shirt&lt;/ph>...</codeblock><codeblock  id="codeblock_hlt_cgk_54b">*[outputclass ~= "no-hyphenation"] {
	white-space: nowrap;
}</codeblock></dd>
            </dlentry>
            <dlentry id="dlentry_ilt_cgk_54b">
              <dt>Automatic Approach</dt>
              <dd>A better alternative to this is to write an XSLT extension that matches the text
                nodes and performs automatic markup (to see an example, go to <xref
                  href="pdf-xslt-extensions-pub-template_usecase_3_wrap_a_word_in_markup.dita"
                  product="author developer editor authorEclipse developerEclipse editorEclipse pdf-css ope"
                  /><xref
                  href="https://www.oxygenxml.com/doc/ug-editor/topics/pdf-xslt-extensions-pub-template.html#ariaid-title4"
                  format="html" scope="external" product="chemistry">How to Wrap Words in
                  Markup</xref> in the <xref href="pdf-xslt-extensions.dita"
                  product="author developer editor authorEclipse developerEclipse editorEclipse pdf-css ope"
                  /><xref
                  href="https://www.oxygenxml.com/doc/ug-editor/topics/pdf-xslt-extensions.html"
                  format="html" scope="external" product="chemistry">XSLT Extensions for PDF
                  Transformations</xref> section). Then match the <codeph>compound-word</codeph>
                class the same as in the previous
                example:<codeblock  id="codeblock_jlt_cgk_54b">*[outputclass ~= "compound-word"] {
	white-space: nowrap;
}</codeblock></dd>
            </dlentry>
            <dlentry product="author editor authorEclipse editorEclipse chemistry pdf-css ope" id="dlentry_klt_cgk_54b">
              <dt>Another Alternative</dt>
              <dd>In all the compound words from your documentation, replace the hyphen ("-") with a
                non-breaking hyphen character <codeph>U+2011</codeph> (or XML notation
                  <codeph>&amp;#2011;</codeph>). <p id="p_llt_cgk_54b">Then change the <xref
                    href="autocorrect-preferences-page.dita"
                    product="author editor authorEclipse editorEclipse"><i>autocorrect</i>
                    settings</xref><xref
                    href="https://www.oxygenxml.com/doc/ug-editor/topics/autocorrect-preferences-page.html"
                    format="html" scope="external" product="chemistry pdf-css ope"
                      ><i>autocorrect</i> settings</xref> to automatically replace the compound word
                  with its equivalent. For example: "T-shirt" would be replaced with
                  "T[\u2011]shirt".</p></dd>
            </dlentry>
          </dl>
        </p></li>
      <li id="li_mlt_cgk_54b">If the word is not a compound, you have two options:<ul id="ul_osw_rtx_mjb">
          <li id="li_nlt_cgk_54b">Use one of the approaches listed above.</li>
          <li id="li_olt_cgk_54b">Alter the hyphenation dictionaries as explained in: <xref
              href="ch_how_to_alter_a_hyphenation_dictionary.dita"/>.</li>
        </ul></li>
    </ul>
	</body>
</topic>
